消費者市場:韓國、台灣
使用已上架商品 ID(sellerProductId)查詢商品狀態變更紀錄。。
通路
GET
/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/{sellerProductId}/histories
請求範例端點
https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/{sellerProductId}/histories
參數需求
主體參數
| Name | Required | Type | Description | ||||
|---|---|---|---|---|---|---|---|
| sellerProductId | O | Number | 註冊 ID(sellerProductId | ||||
| nextToken | Number | 頁面 呼叫下一頁的 token 值 呼叫第一頁時,請不要輸入,或輸入「1」 | |||||
| maxPerPage | Number | 每頁筆數 預設值:10 | |||||
請求範例
不需要請求主體
錯誤響應
| Name | Type | Description | ||||
|---|---|---|---|---|---|---|
| code | Number | 結果代碼 SUCCESS / ERROR | ||||
| message | String | 結果資訊 | ||||
| nextToken | String | 下一頁 無下一頁時,保留為空字串 | ||||
| data | Array | 狀態變更紀錄 依照狀態變更紀錄的次數重複 | ||||
| status | String |
| ||||
| comment | String | 狀態變更內容 | ||||
| createdBy | String | 若為 SYSTEM,將由「Coupang Seller System」自動處理 | ||||
| createdAt | String | 狀態變更時間 格式:「yyyy-MM-dd'T'HH:mm:ss」 | ||||
Response Example
{
"code": "200",
"message": "",
"data": [
{
"createdAt": "2015-09-02T09:41:25",
"status": "待審核",
"createdBy": "Coupang Seller System",
"comment": "內容確認待處理"
},
{
"createdAt": "2015-09-02T09:37:33",
"status": "待審核",
"createdBy": "박**",
"comment": "請求策展人確認內容"
},
{
"createdAt": "2015-09-02T09:30:11",
"status": "待審核",
"createdBy": "박**",
"comment": "核准完成-Items 建立完成"
},
{
"createdAt": "2015-08-31T07:42:30",
"status": "待審核",
"createdBy": "Coupang Seller System",
"comment": "正在建立核准相關資訊"
},
{
"createdAt": "2015-08-31T07:40:45",
"status": "申請核准",
"createdBy": "(주)5千원",
"comment": "賣家核准申請"
},
{
"createdAt": "2015-08-31T06:17:25",
"status": "暫時儲存",
"createdBy": "(주)5千원",
"comment": "賣家暫時儲存"
}
]
}URL API Name
GET_PRODUCT_STATUS_HISTORY